#
# spec file for package ibus-kmfl
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           ibus-kmfl
Version:        1.0.8
Release:        1.1
License:        GPL-2.0
Summary:        KMFL Engine for IBus
Url:            http://kmfl.sourceforge.net/
Group:          System/I18n/Chinese
Source0:        http://download.sourceforge.net/kmfl/%{name}-%{version}.tar.gz
BuildRequires:  ibus
BuildRequires:  ibus-devel
BuildRequires:  kmflcomp-devel
BuildRequires:  libkmfl-devel
BuildRequires:  xorg-x11-devel
Requires:       ibus
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KMFL engine for IBus input platform allows input of many languages using
KMFL (Keyboard Mapping for Linux).

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libexecdir}/ibus-engine-kmfl
%{_datadir}/ibus/component/kmfl.xml
%{_datadir}/kmfl

%changelog
* Thu Oct 13 2016 lazy.kent@opensuse.org
- Update to 1.0.8.
  * Changed IBusEngineDesc to include layout and license
    information.
  * Default to "us" layout if no layout is specified.
  * Fix bug when keyboard version was greater than 7.0.
- Changes in 1.0.7.
  * Fix silly error with oneiric. Test code caused xim interface to
    break.
- Changes in 1.0.6.
  * Update for ibus 1.3.99.
- Changes in 1.0.5.
  * Fix problem with forwardKeyEvent.
- Changes in 1.0.4.
  * Add support for differentiating between right and left ctrl,
    alt, and shift keys.
  * Add support for fallback to forwardKeyEvent if
    deleteSurroundingText is not supported.
- Drop ibus-kmfl-1.0.3-ibus_1.4.0_fix.patch: fixed upstream.
- Replace BuildRequires: libkmflcomp-devel with kmflcomp-devel
  (renamed).
- Add BuildRequires: xorg-x11-devel.
* Tue Oct 25 2011 lazy.kent@opensuse.org
- Patch to fix build against ibus-1.4.0 (sf#3427695).
- Remove obsolete "clean" section.
* Sat Aug 27 2011 lazy.kent@opensuse.org
- Initial package created - 1.0.3.
